/*===================================
		Copyright Yakibomb
*///=================================

// Only boots main code once
if ( !( "VSConds_FirstBootComplete" in getroottable() ) ) {
	printl("AddVSCond Executing for the first time");
	::VSConds_FirstBootComplete <- false;
	
	::worldspawn <- Entities.First();
	::ROOT <- getroottable();
	
	IncludeScript("addvscond/settings.nut");
	IncludeScript("addvscond/code/vsconds_util.nut", ROOT);
	IncludeScript("addvscond/code/vsconds_main.nut", ROOT);
	IncludeScript("addvscond/code/vsconds_cleanup.nut", ROOT);
	
	::VSCONDS_RESETPARAMS <- function() {
		::VSCOND_COND_NAMES <- [];				//Condition string names
		::VSCOND_ENTS_UNDER_CONDS <- [null];	//Entities under conditions
		::VSCOND_HIDDEN_WEARABLES <- {};		//parented wearable to entity; for applying weapon attributes (not implemented) and particle origin fixes

		IncludeScript("addvscond/code/vsconds_conditions_base.nut", ROOT)
		IncludeScript("addvscond/conditions/_all_conditions.nut", ROOT)
		IncludeScript("addvscond/code/vsconds_conditions_compiler.nut")
		
		if ( VSConds_FirstBootComplete ) {
			local addvsconds;

			while ( addvsconds = Entities.FindByName(null, "vscript_addvscond") ) addvsconds.Kill();
		}
		
		SpawnEntityFromTable("logic_script", {
			targetname	= "vscript_addvscond",
			vscripts	= "addvscond/code/vsconds_think",
			thinkfunction	= "VSConds_Think",
		});

		EntFireByHandle(worldspawn,"RunScriptCode","IncludeScript(\"addvscond/code/vsconds_insert_last.nut\")",0.0,worldspawn,worldspawn);
	}
	
	VSCONDS_RESETPARAMS()
	
	::VSConds_FirstBootComplete <- true;
}
else {
// Runs this after first boot already happened
	VSCONDS_CLEANUP();
};